<template>
  <div class="re-header">
    <div @click ="toIndex" class="top-logo" />
    <a-menu mode="horizontal"  :selected-keys="$store.state.common.routerName" :style="{ lineHeight: '62px' }" class="header-menu">
      <a-menu-item key="calendar" @click="routerChange('calendar')">赛事</a-menu-item>
      <a-menu-item key="discussion" @click="routerChange('discussion')">讨论</a-menu-item>
      <a-menu-item key="notice" @click="routerChange('notice')">
        <a-badge :count="noReadNoticeCount" :title="`您有 ${noReadNoticeCount} 条未读消息`">
          通知
        </a-badge>
      </a-menu-item>
      <a-dropdown>
        <a-menu slot="overlay" :selected-keys="$store.state.common.routerName">
          <a-menu-item key="user" @click="routerChange('user')">
            个人主页
          </a-menu-item>
          <a-menu-item v-if="user_info.user_type == 'admin'" key="admin" @click="routerChange('admin')">
            后台管理
          </a-menu-item>
          <a-menu-item key="exit" @click="exit">
            退出
          </a-menu-item>
        </a-menu>
        <a-button type="link"> 欢迎回来，{{user_info.user_name}}。 <a-icon type="down" /> </a-button>
      </a-dropdown>
    </a-menu>
  </div>
</template>

<script>
import {mapActions, mapGetters, mapState} from 'vuex'
export default {
  props: ['isLogin','userName'],
  data() {
    return {
      current: ['index'],
      token:'',
    };
  },
  created: function(){
    document.title = this.$route.meta.title || this.$route.meta.pathName
  },
  updated: function() {
  },
  computed:{
    ...mapState('user', ['user_info']),
    ...mapState('common', ['routerName']),
    ...mapGetters('notice', ['noReadNoticeCount'])
  },
  methods: {
    ...mapActions('common', ['layout']),
    exit(){
      this.layout()
    },
    toIndex(){
      this.current='Home';
      this.$router.push({path:"/"});
    },
    routerChange(path) {
      this.$router.push(`/${path}`)
    }
  }
};
</script>
<style lang="less" scoped>
.search{
  cursor: pointer;
  height: 40px;
  margin: 0px 0px 0px calc(50vw - 300px);
  float: left;
}
.re-header{
  background: rgb(255,255,255);
  /deep/ .ant-badge-count {
    top: -9px !important;
    right: -8px !important;
  }
  /deep/ .ant-menu-item-selected {
    font-size: 18px;
    font-weight: bold;
    .ant-badge {
      font-size: 18px;
      font-weight: bold;
    }
    .anticon-notification {
      font-size: 18px;
    }
  }

}
.header-menu{
  text-align:right;
}
</style>